%define anolis_release 2
Summary: Library implementing the Unicode Bidirectional Algorithm
Name: fribidi
Version: 1.0.11
Release: %{anolis_release}%{dist}
URL: https://github.com/fribidi/fribidi/
Source: https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
License: LGPLv2+ and UCD
BuildRequires: gcc
BuildRequires: meson
BuildRequires: make
Patch1: fribidi-CVE-2022-25308.patch
Patch2: fribidi-CVE-2022-25309.patch
Patch3: fribidi-CVE-2022-25310.patch

%description
A library to handle bidirectional scripts (for example Hebrew, Arabic),
so that the display is done in the proper way; while the text data itself
is always written in logical order.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Libraries and include files for FriBidi
Requires: %{name} = %{version}-%{release}

%description devel
Include files and libraries needed for developing applications which use
FriBidi.

%prep
%autosetup -p1

%build
%meson -Ddocs=false
%meson_build

%check
%meson_test

%install
%meson_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%ldconfig_scriptlets

%files
%license COPYING
%{_bindir}/fribidi
%{_libdir}/libfribidi.so.0*

%files doc
%doc README AUTHORS THANKS NEWS TODO

%files devel
%{_includedir}/fribidi
%{_libdir}/libfribidi.so
%{_libdir}/pkgconfig/*.pc
#%%{_mandir}/man3/*.gz

%changelog 
* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.11-2
- add doc package

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 1.0.11-1
- Init package from upstream v1.0.11
